using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace StCtlLib
{
	/// <summary>
	/// </summary>
	public class StPanel : Panel
	{
		/// <summary>
		/// </summary>
		private System.ComponentModel.Container components = null;

		public StPanel()
		{
			InitializeComponent();


		}

		/// <summary>
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region 
		/// <summary>
		/// </summary>
		private void InitializeComponent()
		{
			components = new System.ComponentModel.Container();
		}
		#endregion

	
		private bool eraseBackGround;
		public bool EraseBackGround
		{
			get
			{
				return(eraseBackGround);
			}
			set
			{
				eraseBackGround = value;
			}
		}

	
		protected override void OnPaintBackground(System.Windows.Forms.PaintEventArgs pevent)
		{
			
			if(eraseBackGround)
			{
				base.OnPaintBackground (pevent);
			}
			
		}
	}
}
